Package Details: neovim-tree-sitter-git r2567.a8bce851-1

Git Clone URL: https://aur.archlinux.org/neovim-tree-sitter-git.git (read-only, click to copy)
Package Base: neovim-tree-sitter-git
Description: Neovim tree-sitter configurations and abstraction layer
Upstream URL: https://github.com/nvim-treesitter/nvim-treesitter
Licenses: Apache
Conflicts: neovim-tree-sitter
Provides: neovim-tree-sitter
Submitter: lmartinez-mirror
Maintainer: lmartinez-mirror
Last Packager: lmartinez-mirror
Votes: 1
Popularity: 0.000081
First Submitted: 2021-06-07 06:46 (UTC)
Last Updated: 2022-04-18 21:49 (UTC)

Dependencies (42)

Required by (11)

Sources (2)

Latest Comments

lmartinez-mirror commented on 2022-10-01 18:27 (UTC)

This package is broken due to neovim release 0.8.0 including some of the files that installed to the runtime directory. Will be taking a look.

f1she3 commented on 2022-01-29 11:37 (UTC) (edited on 2022-01-29 11:38 (UTC) by f1she3)

Hi ! I just want to report a minor typo in the file neovim-tree-sitter-git.install :

/usr/share/neovim-tree-sitter-git/README.md

should be replaced with :

/usr/share/doc/neovim-tree-sitter-git/README.md

lmartinez-mirror commented on 2021-10-04 23:09 (UTC) (edited on 2021-10-04 23:15 (UTC) by lmartinez-mirror)

TSUpdate and TSInstall were patched out to prevent orphan files. Most of the known supported languages are listed in the optdepends for this package.

If you really need TSUpdate and TSInstall, pass --noprepare to your AUR helper. This will withhold the patch from the final build.

dedguy21 commented on 2021-10-03 22:32 (UTC)

I'm having trouble with this program no matter which neovim version I use. Neovim-nightly-bin seems to work the best. Installs the default 'C' parcer and all. But certain TS commands are not available, namely TSUpdate & TSInstall. While others are like TSEnableAll TSInstallinfo.

So it's installing just not installing correctly somewhow.

Maybe there's something I'm doing wrong you know I've read and read and read. Do you have any tips maybe something in the init.lua, again it definitely initializes downloads the remaining parsers and still those two main commands are still missing from neovim option.

lmartinez-mirror commented on 2021-06-14 18:15 (UTC)

If any of the optdepends do not work, please let me know, thanks!